<template>
    <div class="form-row">
        <div class="col form-group">
            <label>First name</label>
            <input name="first_name" type="text" class="form-control" placeholder="First Name" v-model="user.first_name">
        </div>
        <!-- form-group end.// -->
        <div class="col form-group">
            <label>Last name</label>
            <input name="last_name"  type="text" class="form-control" placeholder="Last Name" v-model="user.last_name">
        </div>
        <!-- form-group end.// -->
    </div>
    <!-- form-row end.// -->
    <div class="form-group">
        <label>Email address</label>

        <input v-if="user.id" type="email" class="form-control" placeholder="Email" name="email" v-model="user.email" readonly>
        <input v-else type="email" class="form-control" placeholder="Email" name="email" v-model="user.email">

    </div>
    <div class="form-group">
        <label>Phone</label>
        <input type="phone" class="form-control" placeholder="Phone" name="phone" v-model="user.phone">

    </div>
    <div class="form-group">
        <label>Address</label>
        <input type="text" class='form-control' name="address" v-model="user.address" placeholder="Address">

    </div>
    <!-- form-group end.// -->
    <div class="form-row">
        <div class="form-group col-md-6">
            <label>City</label>     
            <select class="form-control" name="city" v-on:change="changeCity($event)">    
                <option v-for="city in cities" v-bind:value="city" :selected="user.city == city">{{city}}</option>
            </select>
        </div>
        <!-- form-group end.// -->
        <div class="form-group col-md-6">
            <label>District</label>
            <select id="inputState" class="form-control" name="district">
                <option v-for="district in districts"  v-bind:value="district" :selected="user.district == district">{{district}}</option>
            </select>
        </div>
        <!-- form-group end.// -->
    </div>
    <!-- form-row.// -->
    <div class="form-group">
        <label>Create password</label>
        <input class="form-control" type="password" name="password" placeholder="Enter New Password If You Want To Change Password">
    </div>
    <!-- form-group end.// -->

</template>
<script>
import axios from "axios";
export default {
    props: ['userid'],
    data() {
        return {
            user: [],
            districts: [],
            cities: [],
        };
    },
    mounted() {   
        if (this.userid) {
            axios.get("http://cars-test.test/account/json_detail")
            .then(res => {

                this.user = res.data.profile;
                this.cities = res.data.cities;
                this.districts = res.data.districts;
            })
            .catch(error => {
                console.log(error)
            });
        } else {
            axios.get("http://cars-test.test/account/json_address")
            .then(res => {
                this.cities = res.data.cities;
                this.districts = res.data.districts;
            })
            .catch(error => {
                console.log(error)
            });
        }
        
    },
    methods: {
        triggerCity: function(value) {
            axios.get("http://cars-test.test/account/json_getdistricts/"+value)
            .then(res => {
                console.log(res.data);
                this.districts = res.data;
            })
            .catch(error => {
                console.log(error)
            });
          
        },
        changeCity: function(event) {
            var value = event.target.value;
            this.districts = this.triggerCity(value);
            console.log(value);
        }
    }
};
</script>